<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Termine\SmsKursort;

class SendSmsKursortPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getContent()
  {
    if ($this->useCaseResponse->smsVersandt) {
      return parent::getContent();
    } else {
      $view = $this->getView();

      return $view->getNoColumn();
    }
  }

  protected function getView()
  {
    return new SendSmsKursortView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new SendSmsKursortViewModel();
    $viewModel->kursTag = $this->useCaseResponse->kursTag;
    $viewModel->statusCode = $this->useCaseResponse->statusCode;

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array(
      $this->getJsFileFromSys('kontaktformular.js')
    );
  }
}